Bug 1745273 - Can't fetch packagemanifests(asb,tsb,elasticsearch clusterlogging) from app regisry redhat-operators-stage
Summary: Can't fetch packagemanifests(asb,tsb,elasticsearch clusterlogging) from app r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.z
Assignee: Evan Cordell
QA Contact: Cuiping HUO
URL:
Whiteboard:
Depends On: 1733890
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-24 18:32 UTC by Eric Paris
Modified: 2019-11-07 06:33 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1733890
Environment:
Last Closed: 2019-11-07 06:32:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-registry pull 66 0 None None None 2019-09-06 13:28:47 UTC
Red Hat Product Errata RHBA-2019:3294 0 None None None 2019-11-07 06:33:05 UTC

Comment 1 Abu Kashem 2019-08-26 20:12:44 UTC
This involves the pipeline and Shawn is looking into it.

Comment 5 Cuiping HUO 2019-10-29 06:58:22 UTC
Verfied.
cluster version:4.1.0-0.nightly-2019-10-26-052201
$ oc get opsrc -n openshift-marketplace qe-operators -o yaml
apiVersion: operators.coreos.com/v1
kind: OperatorSource
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"operators.coreos.com/v1","kind":"OperatorSource","metadata":{"annotations":{},"labels":{"opsrc-provider":"redhat"},"name":"qe-operators","namespace":"openshift-marketplace"},"spec":{"authorizationToken":{"secretName":"qesecret"},"displayName":"Red Hat Operators","endpoint":"https://quay.io/cnr","publisher":"Red Hat","registryNamespace":"redhat-operators-stage","type":"appregistry"}}
  creationTimestamp: "2019-10-29T06:29:51Z"
  finalizers:
  - finalizer.operatorsources.operators.coreos.com
  generation: 5
  labels:
    opsrc-provider: redhat
  name: qe-operators
  namespace: openshift-marketplace
  resourceVersion: "69266"
  selfLink: /apis/operators.coreos.com/v1/namespaces/openshift-marketplace/operatorsources/qe-operators
  uid: 82f7936d-fa15-11e9-a1eb-0a50d536b362
spec:
  authorizationToken:
    secretName: qesecret
  displayName: Red Hat Operators
  endpoint: https://quay.io/cnr
  publisher: Red Hat
  registryNamespace: redhat-operators-stage
  type: appregistry
status:
  currentPhase:
    lastTransitionTime: "2019-10-29T06:29:52Z"
    lastUpdateTime: "2019-10-29T06:29:52Z"
    phase:
      message: The object has been successfully reconciled
      name: Succeeded
  packages: 3scale-operator,kubevirt-hyperconverged,servicemeshoperator,amq-broker,businessautomation-operator,datagrid,fuse-apicurito,kiali-ossm,local-storage-operator,openshiftansibleservicebroker,openshifttemplateservicebroker,serverless-operator,amq-online,amq7-cert-manager,cam-operator,cluster-logging,fuse-camel-k,fuse-online,jaeger-product,metering-ocp,amq-streams,amq7-interconnect-operator,codeready-workspaces,elasticsearch-operator,nfd,sriov-network-operator

$ oc get packagemanifest -n openshift-marketplace | grep "Red Hat Operators"
3scale-operator                              Red Hat Operators     20m
amq-broker                                   Red Hat Operators     20m
amq-online                                   Red Hat Operators     20m
amq-streams                                  Red Hat Operators     20m
amq7-cert-manager                            Red Hat Operators     20m
amq7-interconnect-operator                   Red Hat Operators     20m
businessautomation-operator                  Red Hat Operators     20m
cam-operator                                 Red Hat Operators     20m
cluster-logging                              Red Hat Operators     20m
codeready-workspaces                         Red Hat Operators     20m
datagrid                                     Red Hat Operators     20m
elasticsearch-operator                       Red Hat Operators     20m
fuse-apicurito                               Red Hat Operators     20m
fuse-camel-k                                 Red Hat Operators     20m
fuse-online                                  Red Hat Operators     20m
jaeger-product                               Red Hat Operators     20m
kiali-ossm                                   Red Hat Operators     20m
kubevirt-hyperconverged                      Red Hat Operators     20m
local-storage-operator                       Red Hat Operators     20m
metering-ocp                                 Red Hat Operators     20m
nfd                                          Red Hat Operators     20m
openshiftansibleservicebroker                Red Hat Operators     20m
openshifttemplateservicebroker               Red Hat Operators     20m
serverless-operator                          Red Hat Operators     20m
servicemeshoperator                          Red Hat Operators     20m
sriov-network-operator                       Red Hat Operators     20m

$ oc get po  -n openshift-marketplace 
NAME                                   READY   STATUS    RESTARTS   AGE
qe-operators-f79477c5-tn5rb            1/1     Running   0          20m

Comment 7 errata-xmlrpc 2019-11-07 06:32:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3294


Note You need to log in before you can comment on or make changes to this bug.